package com.handong.smartservice.component;

public class UserInfo {

    private final Long gid;
    private final String userId;
    private final String nickName;
    private final Long permission;
    private final Long bizGroupId;

    public UserInfo(Long gid, String user_id, String nick_name, Number permission, Number bizGroupId) {
        this.gid = gid;
        this.userId = user_id;
        this.nickName = nick_name;
        this.permission = permission != null ? permission.longValue() : 0L;
        this.bizGroupId  = bizGroupId != null ? bizGroupId.longValue() : 0L;
    }

    public Long getGid() { return gid; }
    public String getUserId() { return userId; }
    public String getNickName() { return nickName; }
    public Long getPermission() { return permission; }
    public Long getBizGroupId() { return bizGroupId; }
}